import e from "./_baseCreate.js";
import t from "./_getPrototype.js";
import n from "./_isPrototype.js";
//#region ../../node_modules/lodash-es/_initCloneObject.js
function r(r) {
	return typeof r.constructor == "function" && !n(r) ? e(t(r)) : {};
}
//#endregion
export { r as default };
